PHP Manual
Prev |  | Next

# DomNode->add_namespace

(no version information, might be only in CVS)

DomNode->add_namespace -- Adds a namespace declaration to a node

## Description

class DOMNode {
bool add_namespace ( string uri, string prefix )
}

This method adds a namespace declaration to a node.

> Note: This method is not part of the DOM specification.

## Parameters

uri

  The namespace URI of the node.

prefix

  The namespace prefix of the node.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Migrating to PHP 5

You can set the namespace URI and prefix of a DOMElement or a DOMAttr at creation time by using DOMDocument->createElementNS() or DOMDocument->createAttributeNS().

> Note: Remember the an attribute does not inherit its namespace from the element it is attached to.

## See Also

DomDocument->create_element_ns
DomNode->set_namespace

Prev | Home | Next
DomElement->tagname() | Up | DomNode->append_child